%define name	libdaemon
%define version 0.10
%define release 3mdk

%define major	0
%define libname %mklibname daemon %major

Name: 	 	%{name}
Summary: 	Lightweight C library which eases the writing of UNIX daemons
Version: 	%{version}
Release: 	%{release}

Source0:	http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.bz2
URL:		http://0pointer.de/lennart/projects/libdaemon/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	lynx doxygen

%description
libdaemon is a lightweight C library which eases the writing of UNIX daemons.
It consists of the following parts:
    * A wrapper around fork() which does the correct daemonization procedure
      of a process
    * A wrapper around syslog() for simpler and compatible log output to
      Syslog or STDERR
    * An API for writing PID files
    * An API for serializing UNIX signals into a pipe for usage with
      select() or poll()

Routines like these are included in most of the daemon software available. It
is not that simple to get it done right and code duplication cannot be a goal.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Provides:	daemon = %{version}-%{release}
Obsoletes:	daemon

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}
Provides: 	daemon-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%{name}-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Apr  7 2006 Austin Acton <austin@mandriva.org> 0.10-3mdk
- fix obsoletes (bug 21914)

* Tue Jan 17 2006 Olivier Blin <oblin@mandriva.com> 0.10-2mdk
- fix devel provides

* Sun Dec 04 2005 Austin Acton <austin@mandriva.org> 0.10-1mdk
- New release 0.10

* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 0.8-1mdk
- 0.8
- source URL
- remove patch (applied upstream)

* Sun Dec 19 2004 Mandrakelinux Team <http://www.mandrakeexpert.com> 0.7-1mdk
- New release 0.7

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6-2mdk
- lib64 fixes to pkgconfig files

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6-1mdk
- 0.6
- do libtoolize again

* Thu Feb 12 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5

* Mon Jan 26 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Sun Nov 9 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
